6.0.0-git
2020-04-02

[#10697] property "organizer" set on non-group scheduled calendar
Summary property "organizer" set on non-group scheduled calendar
Queue Kronolith
Queue Version 3.0.11
Type Bug
State Resolved
Priority 2. Medium
Owners mrubinsk (at) horde (dot) org
Requester q0107 (at) cuba (dot) ionum (dot) ch
Created 2011-11-01 (3075 days ago)
Due
Updated 2011-11-04 (3072 days ago)
Assigned
Resolved 2011-11-02 (3074 days ago)
Milestone
Patch No

History
2011-11-04 13:21:52 q107 (at) cuba (dot) ionum (dot) ch Comment #4 Reply to this comment
Confirmed.
2011-11-02 14:53:12 Michael Rubinsky Comment #3
Assigned to Michael Rubinsky
State ⇒ Resolved
Version ⇒ 3.0.11
Reply to this comment
Fixed.
2011-11-02 14:52:33 Git Commit Comment #2 Reply to this comment
Changes have been made in Git for this ticket:

Bug: 10697 Only set ORGANIZER if this is a group meeting.

  1 files changed, 18 insertions(+), 17 deletions(-)
http://git.horde.org/horde-git/-/commit/5ccab8908e0e65397ecad7938eb9b4c76af581f2
2011-11-01 10:22:49 q0107 (at) cuba (dot) ionum (dot) ch Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ property "organizer" set on non-group scheduled calendar
Queue ⇒ Kronolith
Milestone ⇒
Patch ⇒ No
Reply to this comment
if i create an event, which is not group scheduled (it has no 
attendees), kronolith creates an icalendar-entry with property 
"organizer". this makes the calendar-entry uneditable for other 
programms (if exchanged via caldav)

RFC 2445 (icalendar specs) says for property "organizer"

This property MUST be specified in an iCalendar object
that specifies a group scheduled calendar entity. This property MUST
be specified in an iCalendar object that specifies the publication of
a calendar user's busy time. This property MUST NOT be specified in
an iCalendar object that specifies only a time zone definition or
that defines calendar entities that are not group scheduled entities,
but are entities only on a single user's calendar.

kronolith's behaviour is not rfc-conform

Saved Queries